/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workdailyroutine.entity;

import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 日常事务Entity
 * @author ssrh
 * @version 2018-07-11
 */
public class WorkDailyRoutineDetail extends DataEntity<WorkDailyRoutineDetail> {
	
	private static final long serialVersionUID = 1L;
	private WorkDailyRoutine workDailyRoutine;		// 日常事务ID
	private User operator;		// 负责人
	private Office office;		// 部门
	private String status;		// 状态
    private String home;
	
	public WorkDailyRoutineDetail() {
		super();
	}

	public WorkDailyRoutineDetail(String id){
		super(id);
	}

    public WorkDailyRoutine getWorkDailyRoutine() {
        return workDailyRoutine;
    }

    public void setWorkDailyRoutine(WorkDailyRoutine workDailyRoutine) {
        this.workDailyRoutine = workDailyRoutine;
    }

    @ExcelField(title="负责人", align=2, sort=2)
	public User getOperator() {
		return operator;
	}

	public void setOperator(User operator) {
		this.operator = operator;
	}
	
	@ExcelField(title="部门", align=2, sort=3)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}
	
	@ExcelField(title="状态", align=2, sort=4)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

    public String getHome() {
        return home;
    }

    public void setHome(String home) {
        this.home = home;
    }
}